<?xml version="1.0" encoding="utf-8"?>
<com.wasu.cs.widget.BlockLinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/blockFrame"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:descendantFocusability="afterDescendants"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:orientation="vertical"
    android:paddingLeft="@dimen/d_14dp" >

  <!--   <fragment
        android:id="@+id/recommendBlock"
        android:name="com.wasu.cs.ui.FragmentBlockRecommend"
        android:layout_width="match_parent"
        android:layout_height="wrap_content" /> -->
    
    <ViewStub 
        android:id="@+id/vsRecommendBlock"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout="@layout/fragment_recommend"/>

    <com.wasu.cs.widget.FocusGridViewEx
        android:id="@+id/gridView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginLeft="@dimen/d_10dp"
        android:clipToPadding="false"
        android:fadeScrollbars="false"
        android:horizontalSpacing="@dimen/d_10dp"
        android:numColumns="auto_fit"
        android:paddingLeft="@dimen/d_24dp"
        android:paddingRight="@dimen/d_24dp"
        android:paddingBottom="@dimen/d_14dp"
        android:paddingTop="@dimen/d_16dp"
        android:scrollbarStyle="insideInset"
        android:scrollbars="vertical"
        android:verticalSpacing="@dimen/d_36dp" />
</com.wasu.cs.widget.BlockLinearLayout>